%define name gnome-keyring
%define version 0.1
%define release 1mdk
%define major 0
%define libname %mklibname %name %major

Summary: Keyring and password manager for the GNOME desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.gnome.org
License: GPL/LGPL
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk2-devel

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package -n %libname
Group: System/Libraries
Summary: Library for integration with the gnome keyring system.

%description -n %libname
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%package -n %libname-devel
Group: Development/C
Summary: Library for integration with the gnome keyring system.
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS TODO COPYING
%{_bindir}/gnome-keyring-ask
%{_bindir}/gnome-keyring-daemon

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libgnome-keyring.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc file-format.txt COPYING.LIB
%{_libdir}/libgnome-keyring.so
%{_libdir}/libgnome-keyring.la
%{_includedir}/gnome-keyring-1/gnome-keyring.h
%{_libdir}/pkgconfig/gnome-keyring-1.pc

%changelog
* Wed Dec 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
